
#include <iomanip>

#include "boundary_conditions.h"
#include "simplified_basic_equations.h"
//#include "mfe_nn.h" //If you only need nearest neighbour interactions, un-comment this line and comment out the next. 
#include "mfe_nnn.h"
#include "fidelity.h"
#include "structure_factor.h"
#include "SystemClass.h"
using namespace std;


int main()		//A very simple calculation of the mean field parameters for a system with S=0.1, J_2/J_1=0.1 and N_1=N_2=60.
{

	long double S=0.1L;
	long double J=0.1;
	int iterations_high=35;

	int N_1=6*10;
	int N_2=N_1;
	

	System sys = System(N_1,N_2,S,J,"PBC"); //PeriodicBoundaryConditions
	
	sys.solveEquations(iterations_high);

	cout<<setprecision(17)<<"A: "<<sys.getA()<<"	B: "<<sys.getB()<<"	b: "<<sys.get_b()<<"	lambda: "<<sys.getLambda()<<endl;

	return 0;
}


